#include<bits/stdc++.h>
using namespace std;
long long n,m,a[100005],b[100005],d;
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie();cout.tie();
    freopen("CAU2.inp","r",stdin);
    freopen("CAU2.out","w",stdout);
    cin>>n>>m;
    for(int i=0;i<n;i++)
    cin>>a[i];
    for(int i=0;i<m;i++)
    cin>>b[i];
    d=0;
    for(int i=0;i<n;i++)
    {
        for(int j=0;j<m;j++)
        {
            if (n>m)
            {
                if(j==m-1)
                {
                    cout<<d;
                    return 0;
                }
                else if(m>n)
                {
                    if(i==n-1)
                    cout<<d;
                    return 0;
                }
            }
            if(a[i]>b[j])
            {
                d++;
                a[i]=0;
                b[j]=0;
            }
        }
    }
    cout<<d;
    return 0;
}
